import { PipeTransform } from "@angular/core";
import { FrontendTypeRegistry } from "../services/frontend-type.registry";
import * as i0 from "@angular/core";
/** Returns the icon for the given type */
export declare class TypeIconPipe implements PipeTransform {
    private typeRegistry;
    constructor(typeRegistry: FrontendTypeRegistry);
    transform(typePath: string): Promise<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypeIconPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<TypeIconPipe, "typeIcon", true>;
}
